# Documents Api

### What kind of data I will get

CompaniesHouse Documents API is a comprehensive set of APIs that exclusively offers read-only access for searching and retrieving publicly available company data. By this integration you will be able to download given company's documents.&#x20;

### Input

User needs to provide number of company.

```
{
    "companyNumber": "123998123"
}
```

### Output

| Attribute               | Type           | Description |
| ----------------------- | -------------- | ----------- |
| [documents](#documents) | array\<object> |             |

### Documents

| Attribute           | Type   | Description                                                                                                              |
| ------------------- | ------ | ------------------------------------------------------------------------------------------------------------------------ |
| filename            | string | The name of the document.                                                                                                |
| companyNumber       | string | Number of the company to which the document relates                                                                      |
| barcode             | string | The barcode of the document.                                                                                             |
| significantDate     | string | The date on which a particular event, transaction, or piece of information within the document occurred or was recorded. |
| significantDateType | string | The type of the significant date of the document.                                                                        |
| category            | string | The category of the document.                                                                                            |
| pages               | number | The document page count.                                                                                                 |
| createdAt           | string | The date and time this document type was first created.                                                                  |
| etag                | string | <p>The ETag of the resource.<br></p>                                                                                     |

### Output Example

```
{
    "companiesHouse": {
        "documents": [
            {
                "fileName": "05776778_sh01_2023-09-01",
                "companyNumber": "000000",
                "barcode": "XCBXXXX",
                "significantDate": "2022-03-31T00:00:00Z",
                "significantDateType": "made-up-date",
                "category": "capital",
                "pages": 3,
                "createdAt": "2023-09-01T08:23:00.499664347Z",
                "etag": "string",
                "file": {
                    "resourceId": "7747f879-83ee-4c8f-96e3-47eb0b4af925",
                    "resourcePath": "resources/b6e595f4-0682-4b9e-ac09-30da50b4e591/7747f879-83ee-4c8f-96e3-47eb0b4af925/46ecdec1-9167-4f81-a595-a5044da287bd/XCB50WGW",
                    "resourceName": "XCB50WGW"
                }
            },
            {
                "fileName": "company's test document",
                "companyNumber": "000000",
                "barcode": "XCBXXXY",
                "significantDate": "2022-03-31T00:00:00Z",
                "significantDateType": "made-up-date",
                "category": "accounts",
                "pages": 29,
                "createdAt": "2023-01-07T06:02:36.666922598Z",
                "etag": "string",
                "file": {
                    "resourceId": "582d2e4d-450e-4fae-9e64-95f41cbf9a3c",
                    "resourcePath": "resources/b6e595f4-0682-4b9e-ac09-30da50b4e591/582d2e4d-450e-4fae-9e64-95f41cbf9a3c/46ecdec1-9167-4f81-a595-a5044da287bd/ABJG1WI9",
                    "resourceName": "ABJG1WI9"
                }
            }
        ]
    }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.transactionlink.io/docs/v1/integrations/companies-house/documents-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
